//GRENDER GAMES


#ifndef MAPA_H
#define MAPA_H
#include "monstruo2.h"


const int K_FILA = 24;
const int K_COLUMNA = 80;

class Mapa {

	private:
        char mapa [K_FILA][K_COLUMNA];

	public:
		// Constructor vac�o.
		Mapa();
		// Destructor
		~Mapa(){}
		
		char getMapa(int i, int j) {return mapa[i][j];}
		void inicio(Nave nave);
		void putNaveMapa(Nave &nave, char t,StdPijo stdp);
		bool movimientoPermitido(int f, int c, int nPuntos);
		void delNaveMapa(Nave &nave);
		void putDisparo(int dX, int dY);
		void delRastro(int dX, int dY);
		void delRastroLeft(int dX, int dY);
		void delDecorado(int x, int y, char* obj);
		void putDecorado(int x, int y, char* obj);
		void visualizar(StdPijo stdp);
		bool colision(int x, int y,Nave nave);
		void putMonstruo2Mapa(Monstruo2 &M,StdPijo stdp);
		void putMonstruoMapa(Monstruo1 &M,StdPijo stdp);
		void delMonstruoMapa(Nave &M);
		void limpiar_mapa();

};

#endif
